# Modified from https://github.com/tonyfettes/fcitx5-nord
let
  colors = import ../colors;
  background = "${colors.background-alt}80";
  highlight = "${colors.background}";
in
''
[Metadata]
ScaleWithDPI=True

[InputPanel]
Font=Sans 13
NormalColor=${colors.foreground}
HighlightCandidateColor=${colors.foreground-bright};
HighlightColor=${colors.undefined}
HighlightBackgroundColor=${colors.undefined}
Spacing=3

[InputPanel/TextMargin]
Left=10
Right=10
Top=6
Bottom=6

[InputPanel/Background]
Color=${background}

[InputPanel/Background/Margin]
Left=2
Right=2
Top=2
Bottom=2

[InputPanel/Highlight]
Color=${highlight}

[InputPanel/Highlight/Margin]
Left=10
Right=10
Top=7
Bottom=7

[Menu]
Font=Sans 10
NormalColor=${colors.foreground}
Spacing=3

[Menu/Background]
Color=${background}

[Menu/Background/Margin]
Left=2
Right=2
Top=2
Bottom=2

[Menu/ContentMargin]
Left=2
Right=2
Top=2
Bottom=2

[Menu/Highlight]
Color=${highlight}

[Menu/Highlight/Margin]
Left=10
Right=10
Top=5
Bottom=5

[Menu/Separator]
Color=${highlight}

[Menu/CheckBox]
Image=radio.png

[Menu/SubMenu]
Image=arrow.png

[Menu/TextMargin]
Left=5
Right=5
Top=5
Bottom=5
''
